'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var pouchdbUtils = require('pouchdb-utils');
var CoreLevelPouch = _interopDefault(require('pouchdb-adapter-leveldb-core'));
var localstoragedown = _interopDefault(require('localstorage-down'));

function LocalStoragePouch(opts, callback) {
  var _opts = pouchdbUtils.assign({
    db: localstoragedown
  }, opts);

  CoreLevelPouch.call(this, _opts, callback);
}

// overrides for normal LevelDB behavior on Node
LocalStoragePouch.valid = function () {
  return typeof localStorage !== 'undefined';
};
LocalStoragePouch.use_prefix = true;

function index (PouchDB) {
  PouchDB.adapter('localstorage', LocalStoragePouch, true);
}

module.exports = index;
